Search documentation of ExStreamClient

# ExStreamClient.Model.EntityCreator (ExStreamClient v0.1.10)

View Source

Schema representing a EntityCreator

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.EntityCreator{
      ban_count: integer(),
      ban_expires: float() | nil,
      banned: boolean(),
      created_at: float() | nil,
      custom: %{optional(String.t()) => any()},
      deactivated_at: float() | nil,
      deleted_at: float() | nil,
      deleted_content_count: integer(),
      id: String.t(),
      invisible: boolean() | nil,
      language: String.t() | nil,
      last_active: float() | nil,
      last_engaged_at: float() | nil,
      online: boolean(),
      privacy_settings: ExStreamClient.Model.PrivacySettings.t() | nil,
      revoke_tokens_issued_before: float() | nil,
      role: String.t(),
      teams: [String.t()] | nil,
      teams_role: %{optional(String.t()) => String.t()},
      updated_at: float() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()